function [x y] = spike_gen(x_in, amp)
%SPIKE_GEN generates spikes at the specified location
%   Detailed explanation goes here

de=10^-5;

x=zeros(1,3*length(x_in));
y=zeros(1,3*length(x_in));

for i=1:length(x_in)
    x(i*3-2)=x_in(i)-de;
    x(i*3-1)=x_in(i);
    x(i*3)=x_in(i)+de;
    y(i*3-1)=amp;
end

end

